Bug 97895 - incremental search (ala Kmail)
Summary: incremental search (ala Kmail)
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: notes (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-25 22:02 UTC by Jonathan C. Dietrich
Modified: 2013-10-14 19:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan C. Dietrich 2005-01-25 22:02:30 UTC
Version:            (using KDE KDE 3.3.1)
Installed from:    Debian testing/unstable Packages

It would be nice if notes had an incremental search bar like Kmail has that would hide notes that do not contain the search criteria in their body.
Comment 1 Laurent Montel 2013-10-14 19:09:12 UTC
Git commit 1a63fd0b47d0c2cee6ae9d688322ce8e89f882ec by Montel Laurent.
Committed on 14/10/2013 at 19:07.
Pushed by mlaurent into branch 'master'.

Fix Bug 97895 - incremental search (ala Kmail)

FIXED-IN: 4.12

(this bug is 8 years old)

M  +28   -26   kontact/plugins/knotes/knotes_part.cpp
M  +2    -1    kontact/plugins/knotes/knotes_part.h
M  +0    -4    kontact/plugins/knotes/knotes_part_p.h
A  +56   -0    kontact/plugins/knotes/knoteslistwidgetsearchline.cpp     [License: GPL (v2)]
A  +34   -0    kontact/plugins/knotes/knoteslistwidgetsearchline.h     [License: GPL (v2)]
A  +46   -0    kontact/plugins/knotes/knoteswidget.cpp     [License: GPL (v2)]
A  +38   -0    kontact/plugins/knotes/knoteswidget.h     [License: GPL (v2)]

http://commits.kde.org/kdepim/1a63fd0b47d0c2cee6ae9d688322ce8e89f882ec